org.keycloak.social.instagram

## Class InstagramIdentityProvider

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProvider<C>
  - - org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider
    - - org.keycloak.social.instagram.InstagramIdentityProvider

- All Implemented Interfaces:
    ExchangeExternalToken, ExchangeTokenToIdentityProviderToken, IdentityProvider, SocialIdentityProvider, Provider

      public class InstagramIdentityProvider
      extends AbstractOAuth2IdentityProvider
      implements SocialIdentityProvider

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider

      `AbstractOAuth2IdentityProvider.Endpoint`

    - ### Nested classes/interfaces inherited from interface org.keycloak.broker.provider.IdentityProvider

      `IdentityProvider.AuthenticationCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_URL`
    `static String` | `DEFAULT_SCOPE`
    `static String` | `LEGACY_ID_FIELD`
    `static String` | `PROFILE_FIELDS`
    `static String` | `PROFILE_URL`
    `static String` | `TOKEN_URL`

    - ### Fields inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider

      `ACCESS_DENIED, FEDERATED_REFRESH_TOKEN, FEDERATED_TOKEN_EXPIRATION, logger, mapper, OAUTH2_GRANT_TYPE_AUTHORIZATION_CODE, OAUTH2_GRANT_TYPE_REFRESH_TOKEN, OAUTH2_PARAMETER_ACCESS_TOKEN, OAUTH2_PARAMETER_CLIENT_ID, OAUTH2_PARAMETER_CLIENT_SECRET, OAUTH2_PARAMETER_CODE, OAUTH2_PARAMETER_GRANT_TYPE, OAUTH2_PARAMETER_REDIRECT_URI, OAUTH2_PARAMETER_RESPONSE_TYPE, OAUTH2_PARAMETER_SCOPE, OAUTH2_PARAMETER_STATE`

    - ### Fields inherited from class org.keycloak.broker.provider.AbstractIdentityProvider

      `ACCOUNT_LINK_URL, session`

    - ### Fields inherited from interface org.keycloak.broker.provider.IdentityProvider

      `EXTERNAL_IDENTITY_PROVIDER, FEDERATED_ACCESS_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstagramIdentityProvider(KeycloakSession session, OAuth2IdentityProviderConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BrokeredIdentityContext` | `doGetFederatedIdentity(String accessToken)`
    `protected com.fasterxml.jackson.databind.JsonNode` | `fetchUserProfile(String accessToken, boolean includeIgId)`
    `protected String` | `getDefaultScopes()`

    - ### Methods inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider

      `asJsonNode, authenticateTokenRequest, authenticationFinished, buildUserInfoRequest, callback, createAuthorizationUrl, exchangeExternal, exchangeExternalComplete, exchangeExternalImpl, exchangeExternalUserInfoValidationOnly, exchangeFromToken, exchangeSessionToken, exchangeStoredToken, extractIdentityFromProfile, extractTokenFromResponse, generateToken, getAccessTokenResponseParameter, getConfig, getFederatedIdentity, getJsonProperty, getProfileEndpointForValidation, getSignatureContext, hasExternalExchangeToken, isIssuer, performLogin, retrieveToken, supportsExternalExchange, validateExternalTokenThroughUserInfo`

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProvider

      `backchannelLogout, close, exchangeErrorResponse, exchangeNotLinked, exchangeNotLinkedNoStore, exchangeNotSupported, exchangeTokenExpired, exchangeUnsupportedRequiredType, export, getLinkingUrl, getMarshaller, importNewUser, keycloakInitiatedBrowserLogout, preprocessFederatedIdentity, updateBrokeredUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProvider

      `authenticationFinished, backchannelLogout, callback, export, getMarshaller, importNewUser, keycloakInitiatedBrowserLogout, performLogin, preprocessFederatedIdentity, retrieveToken, updateBrokeredUser`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### AUTH_URL

          public static final String AUTH_URL

      See Also:
        Constant Field Values

    - #### TOKEN_URL

          public static final String TOKEN_URL

      See Also:
        Constant Field Values

    - #### PROFILE_URL

          public static final String PROFILE_URL

      See Also:
        Constant Field Values

    - #### PROFILE_FIELDS

          public static final String PROFILE_FIELDS

      See Also:
        Constant Field Values

    - #### DEFAULT_SCOPE

          public static final String DEFAULT_SCOPE

      See Also:
        Constant Field Values

    - #### LEGACY_ID_FIELD

          public static final String LEGACY_ID_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstagramIdentityProvider

          public InstagramIdentityProvider(KeycloakSession session,
                                           OAuth2IdentityProviderConfig config)

  - ### Method Detail

    - #### doGetFederatedIdentity

          protected BrokeredIdentityContext doGetFederatedIdentity(String accessToken)

      Overrides:
        `doGetFederatedIdentity` in class `AbstractOAuth2IdentityProvider`

    - #### fetchUserProfile

          protected com.fasterxml.jackson.databind.JsonNode fetchUserProfile(String accessToken,
                                                                             boolean includeIgId)
                                                                      throws IOException

      Throws:
        `IOException`

    - #### getDefaultScopes

          protected String getDefaultScopes()

      Specified by:
        `getDefaultScopes` in class `AbstractOAuth2IdentityProvider`

Copyright © 2020 JBoss by Red Hat. All rights reserved.